package it.inaf.oats.ia2.tapschemamanager;

import it.inaf.oats.ia2.tapschemamodel.Credentials;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
public class InsertCredentialsModel {

    private final Credentials credentials;
    private final List<String> formErrors;

    public InsertCredentialsModel(Credentials credentials) {
        this.credentials = credentials;
        this.formErrors = new ArrayList<String>();
    }

    public Credentials getCredentials() {
        return this.credentials;
    }
    
    public void addError(String error) {
        this.formErrors.add(error);
    }

    public List<String> getFormErrors() {
        return formErrors;
    }

    public String getPortStr() {
        return this.credentials.getPort() + "";
    }

    public void setPortStr(String portStr) {
        try {
            this.credentials.setPort(Integer.parseInt(portStr));
        } catch (NumberFormatException e) {
        }
    }
}
