package it.inaf.oats.ia2.tapschemamanager;

import it.inaf.oats.ia2.tapschemamodel.TapSchemaDL;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
public class SelectTapSchemaModel {

    private final List<String> allTAPSchemas;
    private final List<String> allSchemas;
    private String exposedSchemas = "";

    public SelectTapSchemaModel(Connection connection) throws SQLException {
        allSchemas = TapSchemaDL.getAllSchemasNames(connection);
        allTAPSchemas = TapSchemaDL.getAllTAPSchemasNames(connection, allSchemas);

        if (!allTAPSchemas.isEmpty()) {
            loadExposedSchemas(connection, allTAPSchemas.get(0));
        }
        connection.close();
    }

    public final void loadExposedSchemas(Connection connection, String tapSchemaName) throws SQLException {
        List<String> schemas = TapSchemaDL.getExposedSchemas(connection, tapSchemaName);
        exposedSchemas = "";
        for (int i = 0; i < schemas.size(); i++) {
            exposedSchemas += schemas.get(i);
            if (i < schemas.size() - 1) {
                exposedSchemas += ", ";
            }
        }
    }

    public List<String> getAllSchemas() {
        return allSchemas;
    }

    public List<String> getAllTAPSchemas() {
        return allTAPSchemas;
    }
    
    public String getExposedSchemas() {
        return exposedSchemas;
    }
}
