<%-- 
    Document   : selectTapSchema
    Created on : Dec 28, 2015, 3:15:56 PM
    Author     : Sonia Zorba <zorba at oats.inaf.it>
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>

<t:basepage title="Credentials">
    <div class="container">
        <h1 class="text-center">TapSchema Manager - Schemata selection page</h1>
        <br/>

        <div class="panel panel-default col-sm-10 col-sm-offset-1">
            <div class="panel-body">
                <form method="post">
                    <div class="row">
                        <div class="col-sm-2 text-right">
                            <strong>Action:</strong>
                        </div>
                        <div class="form-inline col-sm-10">
                            <div class="radio col-sm-3">
                                <label>
                                    <input type="radio" name="tapschemaRadioGroup" value="edit" checked />
                                    Edit existing
                                </label>
                            </div>
                            <div class="radio col-sm-3">
                                <label>
                                    <input type="radio" name="tapschemaRadioGroup" value="create" />
                                    Create new
                                </label>
                            </div>
                        </div>
                    </div>
                    <br/>

                    <!-- Edit -->
                    <div id="editContainer">
                        <div class="form-group">
                            <label for="tapschema-selector">Tap Schema:</label>
                            <select id="tapschema-selector" name="tapschemaDropDownChoice" class="form-control">
                                <c:forEach items="${model.getAllTAPSchemas()}" var="name">
                                    <option>${name}</option>
                                </c:forEach>
                            </select>
                        </div>
                        <div class="form-group" id="exposedDatabasesWrapper">
                            <label class="control-label">Exposed databases:</label>
                            <p class="form-control-static" id="exposed-schemas">${model.getExposedSchemas()}</p>
                        </div>
                        <div class="form-group">
                            <input type="submit" id="editTapschemaSubmit" value="Edit Tapschema" class="btn btn-primary" />
                        </div>
                    </div>

                    <!-- Create -->
                    <div id="createContainer" class="hide">
                        <div class="form-group">
                            <label for="tapschemaName">Name:</label>
                            <input type="text" class="form-control" id="tapschemaName" name="tapschemaName" />
                        </div>

                        <div class="form-group">
                            <label for="selectedSchemas">Databases to expose:</label>
                            <select id="selectedSchemas" name="selectedSchemas" class="form-control" multiple size="8">
                                <c:forEach items="${model.getAllSchemas()}" var="name">
                                    <option>${name}</option>
                                </c:forEach>
                            </select> <br />
                        </div>

                        <div class="form-group">
                            <input type="submit" value="Create Tapschema" class="btn btn-primary" />
                        </div>
                    </div>
                </form>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-10 col-sm-offset-1">
                <a class="btn btn-danger pull-right" href="credentials">
                    <span class="glyphicon glyphicon-log-out"></span>
                    Close session
                </a>
            </div>
        </div>
    </div>

    <script src="js/select-tapschema.js"></script>
</t:basepage>
