
import it.inaf.oats.ia2.tapschemamodel.*;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
public class TestUtils {

    public static Credentials getCredentials() {
        Credentials credentials = new Credentials();
        credentials.setHostname("localhost");
        credentials.setUsername("root");
        credentials.setPassword("root");
        return credentials;
    }

    public static TapSchema getNewTAPSchemaOneSchemaSelected(Connection connection) throws SQLException {
        String firstSchema = TapSchemaDL.getAllSchemasNames(connection).get(0);
        ArrayList<String> selectedSchemas = new ArrayList<String>();
        selectedSchemas.add(firstSchema);

        return new TapSchema(connection, "TEST", selectedSchemas);
    }

    public static Schema getFirstNotNullSchema(TapSchema tapSchema) throws BadMockDbException {
        for (DbEntity schema : tapSchema.getAllEntities()) {
            return (Schema) schema;
        }
        throw new BadMockDbException();
    }

    public static String getFirstNullSchema(TapSchema tapSchema) throws BadMockDbException {
        for (String schemaName : tapSchema.getSchemasNames()) {
            if (tapSchema.getSchema(schemaName) == null) {
                return schemaName;
            }
        }
        throw new BadMockDbException();
    }

    public static Table getFirstTableNotNull(Schema schema) throws BadMockDbException {
        for (DbEntity table : schema.getAllEntities()) {
            return (Table) table;
        }
        throw new BadMockDbException();
    }

    public static String getFirstNullTable(Schema schema) throws BadMockDbException {
        List<String> addablesTables = schema.getAddables();
        if (addablesTables.size() > 0) {
            return addablesTables.get(0);
        }
        throw new BadMockDbException();
    }
}
